--
-- Sadzarka
-- author: Burner
-- 

Sadzarka = {};

function Sadzarka.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Fillable, specializations);
end;

function Sadzarka:load(xmlFile)
	self.seeds = {};
	self.seeds = {FruitUtil.FRUITTYPE_POTATO};
end;

function Sadzarka:delete()
end;

function Sadzarka:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Sadzarka:keyEvent(unicode, sym, modifier, isDown)
end;

function Sadzarka:update(dt)
end;

function Sadzarka:updateTick(dt)
end;

function Sadzarka:draw()
end;

function Sadzarka:onDetach()
end;

function Sadzarka:onLeave()
end;

function Sadzarka:onDeactivate()
end;